List SaaS Assets

This endpoint retrieves a detailed list of SaaS assets. The endpoint supports filtering and sorting based on various criteria.

A SaaS asset is a cloud-based software application used by a client organization, tracked and managed by the MSP as part of its service delivery.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
^(eq|in):.+$

Filters records by using a query string on the field id.

Supports comparison operators: eq, in.

Query examples:

  • filter[id]=example_value - to filter for exact match.

  • filter[id]=eq:example_value - to filter for exact match.

  • filter[id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field client.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[client.id]=example_value - to filter for exact match.

  • filter[client.id]=eq:example_value - to filter for exact match.

  • filter[client.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field client.name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[client.name]=example_value - to filter for exact match.

  • filter[client.name]=eq:example_value - to filter for exact match.

  • filter[client.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[client.name]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field product.manufacturer.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.manufacturer.id]=example_value - to filter for exact match.

  • filter[product.manufacturer.id]=eq:example_value - to filter for exact match.

  • filter[product.manufacturer.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.manufacturer.name.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.manufacturer.name]=example_value - to filter for exact match.

  • filter[product.manufacturer.name]=eq:example_value - to filter for exact match.

  • filter[product.manufacturer.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.id]=example_value - to filter for exact match.

  • filter[product.id]=eq:example_value - to filter for exact match.

  • filter[product.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.name.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.name]=example_value - to filter for exact match.

  • filter[product.name]=eq:example_value - to filter for exact match.

  • filter[product.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.category.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.category]=example_value - to filter for exact match.

  • filter[product.category]=eq:example_value - to filter for exact match.

  • filter[product.category]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.manufacturer_sku.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.manufacturer_sku.id]=example_value - to filter for exact match.

  • filter[product.manufacturer_sku.id]=eq:example_value - to filter for exact match.

  • filter[product.manufacturer_sku.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product.manufacturer_sku.name.

Supports comparison operators: eq, in.

Query examples:

  • filter[product.manufacturer_sku.name]=example_value - to filter for exact match.

  • filter[product.manufacturer_sku.name]=eq:example_value - to filter for exact match.

  • filter[product.manufacturer_sku.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field status.

Supports comparison operators: eq, in.

Query examples:

  • filter[status]=example_value - to filter for exact match.

  • filter[status]=eq:example_value - to filter for exact match.

  • filter[status]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field tenant_domain.

Supports comparison operators: eq, in.

Query examples:

  • filter[tenant_domain]=example_value - to filter for exact match.

  • filter[tenant_domain]=eq:example_value - to filter for exact match.

  • filter[tenant_domain]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field term.starts_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[term.starts_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[term.starts_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[term.starts_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[term.starts_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field term.ends_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[term.ends_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[term.ends_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[term.ends_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[term.ends_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(eq):.+$

Filters records by using a query string on the field term.is_auto_renewed.

Supports comparison operators: eq.

Query examples:

  • filter[term.is_auto_renewed]=true - to filter for exact match.

  • filter[term.is_auto_renewed]=eq:true - to filter for exact match.

string
^(eq|in):.+$

Filters records by using a query string on the field subscriptions.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscriptions.id]=example_value - to filter for exact match.

  • filter[subscriptions.id]=eq:example_value - to filter for exact match.

  • filter[subscriptions.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field subscriptions.commerce_subscription_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscriptions.commerce_subscription_id]=example_value - to filter for exact match.

  • filter[subscriptions.commerce_subscription_id]=eq:example_value - to filter for exact match.

  • filter[subscriptions.commerce_subscription_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field subscriptions.status.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscriptions.status]=example_value - to filter for exact match.

  • filter[subscriptions.status]=eq:example_value - to filter for exact match.

  • filter[subscriptions.status]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field subscriptions.type.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscriptions.type]=example_value - to filter for exact match.

  • filter[subscriptions.type]=eq:example_value - to filter for exact match.

  • filter[subscriptions.type]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|gt|gte|lt|lte):.+$

Filters records by using a query string on the field subscriptions.license_count.

Supports comparison operators: eq, gt, gte, lt, lte.

Query examples:

  • filter[subscriptions.license_count]=42 - to filter for exact match.

  • filter[subscriptions.license_count]=eq:42 - to filter for exact match.

  • filter[subscriptions.license_count]=gt:42 - to filter for greater than

  • filter[subscriptions.license_count]=gte:42 - to filter for greater than or equal to

  • filter[subscriptions.license_count]=lt:42 - to filter for less than

  • filter[subscriptions.license_count]=lte:42 - to filter for less than or equal to

string
^(eq|in):.+$

Filters records by using a query string on the field subscriptions.billing_cycle_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscriptions.billing_cycle_name]=example_value - to filter for exact match.

  • filter[subscriptions.billing_cycle_name]=eq:example_value - to filter for exact match.

  • filter[subscriptions.billing_cycle_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field subscriptions.friendly_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscriptions.friendly_name]=example_value - to filter for exact match.

  • filter[subscriptions.friendly_name]=eq:example_value - to filter for exact match.

  • filter[subscriptions.friendly_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field subscriptions.term.starts_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[subscriptions.term.starts_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[subscriptions.term.starts_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[subscriptions.term.starts_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[subscriptions.term.starts_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field subscriptions.term.ends_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[subscriptions.term.ends_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[subscriptions.term.ends_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[subscriptions.term.ends_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[subscriptions.term.ends_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(eq):.+$

Filters records by using a query string on the field subscriptions.term.is_auto_renewed.

Supports comparison operators: eq.

Query examples:

  • filter[subscriptions.term.is_auto_renewed]=true - to filter for exact match.

  • filter[subscriptions.term.is_auto_renewed]=eq:true - to filter for exact match.

string
^(eq|in):.+$

Filters records by using a query string on the field subscriptions.provider_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscriptions.provider_name]=example_value - to filter for exact match.

  • filter[subscriptions.provider_name]=eq:example_value - to filter for exact match.

  • filter[subscriptions.provider_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field subscriptions.partner_tier.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscriptions.partner_tier]=example_value - to filter for exact match.

  • filter[subscriptions.partner_tier]=eq:example_value - to filter for exact match.

  • filter[subscriptions.partner_tier]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field subscriptions.csp_tier.

Supports comparison operators: eq, in.

Query examples:

  • filter[subscriptions.csp_tier]=example_value - to filter for exact match.

  • filter[subscriptions.csp_tier]=eq:example_value - to filter for exact match.

  • filter[subscriptions.csp_tier]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field pool.type.

Possible values: SEAT.

Supports comparison operators: eq, in.

Query examples:

  • filter[pool.type]=SEAT - to filter for exact match.

  • filter[pool.type]=eq:SEAT - to filter for exact match.

  • filter[pool.type]=in:SEAT - to filter when any item in the list matches.

string
^(eq|gt|gte|lt|lte):.+$

Filters records by using a query string on the field pool.capacity.

Supports comparison operators: eq, gt, gte, lt, lte.

Query examples:

  • filter[pool.capacity]=42 - to filter for exact match.

  • filter[pool.capacity]=eq:42 - to filter for exact match.

  • filter[pool.capacity]=gt:42 - to filter for greater than

  • filter[pool.capacity]=gte:42 - to filter for greater than or equal to

  • filter[pool.capacity]=lt:42 - to filter for less than

  • filter[pool.capacity]=lte:42 - to filter for less than or equal to

string
^(eq|gt|gte|lt|lte):.+$

Filters records by using a query string on the field pool.utilized.

Supports comparison operators: eq, gt, gte, lt, lte.

Query examples:

  • filter[pool.utilized]=42 - to filter for exact match.

  • filter[pool.utilized]=eq:42 - to filter for exact match.

  • filter[pool.utilized]=gt:42 - to filter for greater than

  • filter[pool.utilized]=gte:42 - to filter for greater than or equal to

  • filter[pool.utilized]=lt:42 - to filter for less than

  • filter[pool.utilized]=lte:42 - to filter for less than or equal to

string
^(eq|gt|gte|lt|lte):.+$

Filters records by using a query string on the field pool.suspended.

Supports comparison operators: eq, gt, gte, lt, lte.

Query examples:

  • filter[pool.suspended]=42 - to filter for exact match.

  • filter[pool.suspended]=eq:42 - to filter for exact match.

  • filter[pool.suspended]=gt:42 - to filter for greater than

  • filter[pool.suspended]=gte:42 - to filter for greater than or equal to

  • filter[pool.suspended]=lt:42 - to filter for less than

  • filter[pool.suspended]=lte:42 - to filter for less than or equal to

string
^(eq|gt|gte|lt|lte):.+$

Filters records by using a query string on the field pool.grace_period_warning.

Supports comparison operators: eq, gt, gte, lt, lte.

Query examples:

  • filter[pool.grace_period_warning]=42 - to filter for exact match.

  • filter[pool.grace_period_warning]=eq:42 - to filter for exact match.

  • filter[pool.grace_period_warning]=gt:42 - to filter for greater than

  • filter[pool.grace_period_warning]=gte:42 - to filter for greater than or equal to

  • filter[pool.grace_period_warning]=lt:42 - to filter for less than

  • filter[pool.grace_period_warning]=lte:42 - to filter for less than or equal to

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.source_record_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.source_record_id]=example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.brand_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.brand_name]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_created_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_created_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_created_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_created_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_created_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_updated_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_updated_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_updated_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_updated_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_updated_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^[+-]?(id|client\.id|client\.name|product\.manufacturer\.id|product\.manufacturer\.name|product\.id|product\.name|product\.category|product\.manufacturer_sku\.id|product\.manufacturer_sku\.name|status|tenant_domain|term\.starts_at|term\.ends_at|term\.is_auto_renewed|pool\.type|pool\.capacity|pool\.utilized|pool\.suspended|pool\.grace_period_warning|record_created_at|record_updated_at)(,[+-]?(id|client\.id|client\.name|product\.manufacturer\.id|product\.manufacturer\.name|product\.id|product\.name|product\.category|product\.manufacturer_sku\.id|product\.manufacturer_sku\.name|status|tenant_domain|term\.starts_at|term\.ends_at|term\.is_auto_renewed|pool\.type|pool\.capacity|pool\.utilized|pool\.suspended|pool\.grace_period_warning|record_created_at|record_updated_at))*$

One or more sortable fields, separated by commas. Prefix with '+' to sort ascending or '-' to sort descending.

Sortable fields: id, client.id, client.name, product.manufacturer.id, product.manufacturer.name, product.id, product.name, product.category, product.manufacturer_sku.id, product.manufacturer_sku.name, status, tenant_domain, term.starts_at, term.ends_at, term.is_auto_renewed, pool.type, pool.capacity, pool.utilized, pool.suspended, pool.grace_period_warning, record_created_at, record_updated_at.

int32
1 to 200

The number of records to be returned in a single page

string

The pointer used to fetch a certain page of records

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json